Name: dante
Version: 1.4.3
Release: 1%{?dist}
Summary: Free Socks v4/v5 client implementation

License: BSD-type
URL: http://www.inet.no/dante/
Source0: https://www.inet.no/dante/files/dante-%{version}.tar.gz
Source1: dante.users
Source2: sockd.conf

BuildRequires: bison
BuildRequires: flex
BuildRequires: make
BuildRequires: gcc
BuildRequires: glibc-devel
BuildRequires: cyrus-sasl-devel
BuildRequires: krb5-devel
BuildRequires: miniupnpc-devel
BuildRequires: pam-devel
BuildRequires: systemd
BuildRequires: systemd-rpm-macros
%{?sysusers_requires_compat}

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Dante is a free implementation of the proxy protocols socks version 4,
socks version 5 (rfc1928) and msproxy. It can be used as a firewall
between networks. It is being developed by Inferno Nettverk A/S, a
Norwegian consulting company. Commercial support is available.

This package contains the dynamic libraries required to "socksify"
existing applications to become socks clients.

%package server
Summary: Free Socks v4/v5 server implementation
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}

%description server
This package contains the socks proxy daemon and its documentation.
The sockd is the server part of the Dante socks proxy package and
allows socks clients to connect through it to the network.

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%autosetup


%build

%configure --without-glibc-secure 
%make_build

%install
rm -rf %{buildroot}
%make_install

install -d %{buildroot}/%{_unitdir}
install -m 0644 SPECS/dante.service %{buildroot}%{_unitdir}/sockd.service
install -d %{buildroot}%{_sysconfdir}
install -m 0644 example/socks-simple.conf %{buildroot}%{_sysconfdir}/socks.conf
install -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}
install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_sysusersdir}/dante.conf

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%pre server
%sysusers_create_compat %{SOURCE1}

%files
%defattr(-, root, root, 0755)
%doc BUGS CREDITS NEWS README SUPPORT doc/README* example/socks.conf example/socks-simple-withoutnameserver.conf example/sockd.conf example/socks-simple.conf
%config(noreplace) %{_sysconfdir}/socks.conf
%{_mandir}/man1/socksify.1*
%{_mandir}/man5/socks.conf.5*
%{_libdir}/libsocks.so.0.1.1
%{_libdir}/libsocks.so.0
%{_libdir}/libsocks.so
%{_libdir}/libdsocks.so
%{_bindir}/socksify

%files server
%defattr(-, root, root, 0755)
%config(noreplace) %{_sysconfdir}/sockd.conf
%{_mandir}/man5/sockd.conf.5*
%{_mandir}/man8/sockd.8*
%{_sbindir}/sockd
%{_unitdir}/sockd.service
%{_sysusersdir}/dante.conf

%files devel
%defattr(-, root, root, 0755)
%doc INSTALL doc/rfc* doc/SOCKS4.protocol
%{_includedir}/socks.h
%{_libdir}/libsocks.la
%{_libdir}/libsocks.a
%{_libdir}/libdsocks.la
%{_includedir}/socks.h

%changelog
* Tue Dec 19 2023 Gary T. Giesen <ggiesen@giesen.me> - 1.4.3-1
- Updated to release 1.4.3.

* Thu Nov 21 2013 Dag Wieers <dag@wieers.com> - 1.4.0-1
- Updated to release 1.4.0.

* Tue Aug 09 2011 Dag Wieers <dag@wieers.com> - 1.3.2-1
- Updated to release 1.3.2.

* Mon Jul 11 2011 Yury V. Zaytsev <yury@shurup.com> - 1.3.1-1
- Now build --without-glibc-secure to avoid using glibc private symbols.
- Updated to release 1.3.1.

* Sun Jun 19 2011 Dag Wieers <dag@wieers.com> - 1.3.0-1
- Updated to release 1.3.0.

* Tue Mar 22 2011 Dag Wieers <dag@wieers.com> - 1.2.3-1
- Updated to release 1.2.3.

* Thu Sep 23 2010 Dag Wieers <dag@wieers.com> - 1.2.2-1
- Updated to release 1.2.2.

* Fri May 28 2010 Dag Wieers <dag@wieers.com> - 1.2.1-1
- Updated to release 1.2.1.

* Tue Jan 12 2010 Dag Wieers <dag@wieers.com> - 1.2.0-2
- Backported GLIBC_PRIVATE related patch.

* Thu Oct 29 2009 Dag Wieers <dag@wieers.com> - 1.2.0-1
- Updated to release 1.2.0.

* Tue Apr  7 2009 Dries Verachtert <dries@ulyssis.org> - 1.1.19-3
- Applied a fix by Thomas M Steenholdt for the dsocksify sysv init script.

* Wed Jun 11 2008 Dag Wieers <dag@wieers.com> - 1.1.19-2
- Get rid of GLIBC_PRIVATE caused by using __libc_enable_secure.

* Sat Apr 29 2006 Dag Wieers <dag@wieers.com> - 1.1.19-1
- Updated to release 1.1.19.

* Fri Sep 09 2005 Dag Wieers <dag@wieers.com> - 1.1.18-1
- Updated to release 1.1.18.

* Thu Jul 14 2005 Dag Wieers <dag@wieers.com> - 1.1.17-1
- Updated to release 1.1.17.

* Mon Jul 11 2005 Dag Wieers <dag@wieers.com> - 1.1.16-1
- Updated to release 1.1.16.

* Sun Feb 06 2005 Dag Wieers <dag@wieers.com> - 1.1.15-1
- Updated to release 1.1.15.

* Wed Feb 25 2004 Dag Wieers <dag@wieers.com> - 1.1.14-2
- Fixed no-replacing config files.
- Documentation clean-up.

* Tue Feb 24 2004 Dag Wieers <dag@wieers.com> - 1.1.14-1
- Added logrotate config. (Matthias Saou)

* Mon Jul 28 2003 Dag Wieers <dag@wieers.com> - 1.1.14-0
- Updated to release 1.1.14.

* Tue Apr 08 2003 Dag Wieers <dag@wieers.com> - 1.1.13-2
- Incorporated the official bswap32 patch.

* Tue Dec 31 2002 Dag Wieers <dag@wieers.com> - 1.1.13-1
- Added dsocksify init script
- Put libraries in /lib
- Moved *.so from dante-devel to dante
- Added pam-devel to BuildRequires (to provide PAM support)

* Mon Dec 30 2002 Dag Wieers <dag@wieers.com> - 1.1.13-0
- Updated to 1.1.13
- Cleaned up SPEC file
- Made more use of macros

* Thu Oct 12 2000 Karl-Andre' Skevik <karls@inet.no>
- Use of macros for directory locations/paths
- Explicitly name documentation files
- Run chkconfig --del before files are deleted on uninstall

* Wed Mar 10 1999 Karl-Andre' Skevik <karls@inet.no>
- Integrated into CVS
- socksify patch no longer needed

* Thu Mar 04 1999 Oren Tirosh <oren@hishome.net>
- configurable %{prefix}, fixed daemon init script
- added /lib/libdl.so to socksify

* Wed Mar 03 1999 Oren Tirosh <oren@hishome.net>
- First spec file for Dante
